Revert back to manual Boxee installs

Previously, I had setup an Ubuntu Karmic box to install Boxee from the apt.boxee.tv APT repository. Since this repository appears to be unmaintained, I'm now reverting back to manual Boxee installs until an updated repository becomes available.

The steps below probably don't apply to you, UNLESS you made APT changes to pull in Boxee from the apt.boxee.tv Intrepid repository as per my previous post.

BTW, the version I got installed is 0.9.20.10263, yet I don't see it available from apt.boxee.tv anymore. I'm guessing they've pulled beta releases (0.9.2x) off since I've grabbed it previously, as I now only see alpha releases (0.9.1x) listed:

sudo apt-cache madison boxee
     boxee | 0.9.14.6992 | http://apt.boxee.tv intrepid/main Packages
     boxee | 0.9.14.6992 | http://apt.boxee.tv jaunty/main Packages
     boxee | 0.9.14.6795 | http://apt.boxee.tv intrepid/main Packages
     boxee | 0.9.14.6795 | http://apt.boxee.tv jaunty/main Packages
     boxee | 0.9.13.6684 | http://apt.boxee.tv intrepid/main Packages
     boxee | 0.9.13.6684 | http://apt.boxee.tv jaunty/main Packages
     boxee | 0.9.12.6570 | http://apt.boxee.tv intrepid/main Packages
     boxee | 0.9.12.6570 | http://apt.boxee.tv jaunty/main Packages
     boxee | 0.9.11.5777 | http://apt.boxee.tv intrepid/main Packages
     boxee | 0.9.11.5777 | http://apt.boxee.tv hardy/main Packages
     boxee | 0.9.11.5777 | http://apt.boxee.tv jaunty/main Packages
     boxee | 0.9.7.4826 | http://apt.boxee.tv intrepid/main Packages
     boxee | 0.9.7.4826 | http://apt.boxee.tv hardy/main Packages
     boxee | 0.9.7.4826 | http://apt.boxee.tv jaunty/main Packages
     boxee | 0.9.6.4578 | http://apt.boxee.tv intrepid/main Packages
     boxee | 0.9.6.4578 | http://apt.boxee.tv hardy/main Packages
     boxee | 0.9.6.4578 | http://apt.boxee.tv jaunty/main Packages
     boxee |  0.9-r3970 | http://apt.boxee.tv hardy/main Packages
     boxee |  0.9-r3927 | http://apt.boxee.tv hardy/main Packages
     boxee |  0.9-r2492 | http://apt.boxee.tv hardy/main Packages
     boxee |  0.9-r2365 | http://apt.boxee.tv hardy/main Packages

First, I'm choosing to completely purge the current version along with any dependencies it pulled in.

sudo aptitude purge boxee
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
The following packages will be REMOVED:
  boxee{p} comerr-dev{u} libcurl4-openssl-dev{u} libfaad-dev{u} libidn11-dev{u} libkadm5srv6{u} libkdb5-4{u} libkrb5-dev{u} libldap2-dev{u} libmysqlclient15off{u} libsdl-gfx1.2-4{u} libssl-dev{u} libtre4{u} libxmlrpc-c3{u} libxmlrpc-core-c3{u}
  python-sqlite{u} python2.4{u} xsel{u}
0 packages upgraded, 0 newly installed, 18 to remove and 0 not upgraded.
Need to get 0B of archives. After unpacking 28.5MB will be freed.

I don't have any settings I need to keep, so I'm deleting them as well. This would give the new version a clean slate, which might be unnecessary, but can't hurt either.

rm -r ~/.boxee/

Remove customizations we had added to install Boxee from Intrepid repository (WARNING: I don't need these anymore because I had just added them for Boxee, YMMV!)

sudo rm /etc/apt/apt.conf /etc/apt/preferences /etc/apt/sources.list.d/intrepid.list /etc/apt/sources.list.d/boxee.list
sudo aptitude update

Now on to the manual install of the latest version:

wget http://www.boxee.tv/download/ubuntu -O boxee.latest.deb
sudo gdebi boxee.latest.deb

If all worked as it should, you should find shortcut to Boxee under "Applications" > "Sound & Video".

1 Comment

  • 1. Alain Kelder is a Giant D&hellip replies at 5th March 2010, 9:03 pm :

    [...] Update 5 March 2010: Since APT repository at apt.boxee.tv appears to be unmaintained, I’ve reverted back to manual installs until an updated repository becomes available. I don’t recommend you follow the steps below unless you want to get stuck with an outdated Boxee version. Here are the steps to revert back. [...]

Leave a comment

NOTE: Enclose quotes in <blockquote></blockquote>. Enclose code in <pre lang="LANG"></pre> (where LANG is one of these).